import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-home',
  templateUrl: 'home.page.html',
  styleUrls: ['home.page.scss'],
})
export class HomePage {

  places: any = [
    { title: 'Beach', title1: 'Anilao Beach', description1: 'Located in Barangay in Mabini. Anilao is a popular for diving in the list of Batangas tourist spots. Because of insane tourist influx, many beach resorts in Mabini regard themselves part of Anilao. One of the favorite for locals on this list of Batangas tourist spots.Diving is just one of the varied activities available in Anilao.', img1: '/assets/Anilao.PNG',
  title2: 'Aquaria Water Park', description2: 'Located in Calatagan, Aquaria Water Park is perfect for a family getaway. With great slides and beautiful beach, kids and adults would surely love this place. In this park, people can enjoy island hopping, jet ski ride, snorkeling, and a huge swimming pool.The slides are also big enough that swimming would never be the same.You can also enjoy the best sunset view on the beach after a tiring and exciting day swimming. Indeed, Aquaria Water park is for people of all ages. For people who seek a day off far from the city.'
  ,img2: '/assets/Aqua.PNG', title3: 'Calatagan', description3: 'Another municipality in Batangas that has tons of lovely beach resorts. Calatagan is now getting popular as a location for company outings and weekend getaways in the Philippines due to the availability of beaches in the area. If ever you’re in Batangas, you might want to include this to your itinerary. Unlike, Anilao and Laiya, Calatagan is less crowded. However, its beach resorts can rival those that are found in the two municipalities that I just mentioned.', img3: 'assets/Calatagn.PNG', title4: 'Laiya', description4: 'Wanting a quick break from Manila? Try the Laiya Beach in San Juan, Batangas. It may be one of the most popular beaches near Manila as it is only a 2- 3 hour drive. Also, it has white sand and clear cold waters. For that reason, it’s frequently visited during summer.', img4: '/assets/Laiya.PNG',title5: 'Masasa Beach', description5: 'If you want to experience the common life of people who live by the beach, Masasa Beach is the best place to do it. They have nipa huts that you can rent and you can also do activities like swimming, snorkeling, and hiking in the area. Located in Barangay Masasa of Maricaban Island, Tingloy, you can reach the beach by riding a bus to Batangas Grand Terminal, then a jeepney to Anilao or Talaga Port. From there you need to ride a boat heading to Tingloy Port. When you reach Tingloy Port, you can ride a tricycle to reach the place where you will stay. Located in Tingloy, Batangas, Masasa Beach has sand that is not as white with other beaches but the water is clearer than some. The usual way to get here is through a public boat that goes directly to Masasa Beach. The boat ride will only cost you for 100 PHP.A private boat will save the hassle for a group trying to go directly in one ride for a cost of 4500 PHP per 10 people. The cost for the ride may already include the island hopping service, try to negotiate with you boatman.', img5: '/assets/Masasa.PNG',title6: 'Nasugbu',description6:'To get to Nasugbu from Manila, ride a bus from Buendia (DLT Bus) or Pasay (BSC Bus). The trip takes about 3-4 hours depending on the traffic and it’ll cost about 160 PHP. The vibes are so serene and relaxing. It’s really fun to go swimming and snorkeling. Pico Sands Hotel made our stay much better.', img6: '/assets/Nasugbu.PNG',title7: 'Verde Islands', description7: 'If you want to reward yourself from your hard work or from everything fulfilling that you did, you should go to Isla Verde as a prize for yourself. This island in Batangas, although located just an hour away from the city, you won’t see any touch of modernity. And that what makes it special. Going there is like an escape from the busy and occupied society.A real paradise that’s hidden beneath the ocean offers a unique diving experience for everyone. Different species of corals and other marine animals can be found in Isla Verde. This island is indeed for people who want to explore more than what meets the eye.',img7: '/assets/Verde.PNG',},
    {title: 'Church',title1: 'Monte Maria Shrine',title2: 'Caleruega Church',title3: 'Basilica of Saint Martin De Tours', title4: 'Saint Padre Pio Parish and Shrine',title5: 'San Sebastian Cathedral',title6: 'Mt. Carmel Chapel',title7: 'San Rafael the Archangel Church',Loc1: 'Location:  Nasugbu',Loc2: 'Location:  Batangas City',Loc3: 'Location:  Batangas City',Loc4: 'Location:  Batangas City'
    ,Loc5: 'Location:  Santo Tomas',Loc6: 'Location:  Lipa',Loc7: 'Location:  Calaca'
    ,  img1: '/assets/Monte.PNG',img2: '/assets/Cale.PNG',img3: '/assets/Basili.PNG',img4: '/assets/Pio.PNG',img5: '/assets/Cathedral.PNG',img6: '/assets/Carmel.PNG',img7: '/assets/Calaca.PNG',description1: 'The statue of Mary is dedicated to the Peace and Unity of the people all around the world. It is made to be the icon and pilgrimage destination not only for the Philippines but for all of Asia. Interestingly, the monument is even bigger than the Statue of Liberty in New York, USA and the other famous Statue of Christ the Redeemer in Rio de Janeiro, Brazil.',description2: 'To go to Caleruega Church from Manila, ride a bus bound for Nasugbu then drop off at Hillcrest for 130 PHP per Person. After dropping off, ride a tricycle to  Caleruega Church. Caleruega Church is good for relaxation and peace in your Batangas itinerary. It is also best for families trying to reconnect with each other and their faith.',description3: 'Made of coral stones and adobe, Basilica of Saint Martin de Tours is the largest church in Asia. Because of its size, the interior has a lot of space for beautiful geometry. The light from outside is also very much visible inside. From Manila, ride the bus bound for Lemery and drop off at the Taal Basilica.',description4: 'A sacred place for people seeking the peace of mind and tranquility. Saint Padre Pio Parish and Shrine in Batangas is also a place for pilgrims and devotees. It is also a popular church to go to during “Visita Iglesia” within the Holy Week season. It doesn’t require to visit the church for a long time, you only need a couple of hours or maybe a minute to enjoy the calmness of the shrine. An ideal place to reflect and to meditate. One can surely leave the church feeling fulfilled and peaceful.',description5: 'According to the Lipa City Tourism Council, the history of the Cathedral can be traced back to as far back as April 30, 1605, when it was administered by the Augustinians under the title “Convent of San Sebastian in Comintang.” The original building was made from only light materials.But the construction of the Cathedral that we see today started in 1779. Since then, it has undergone a series of renovations and several elements had been added until it was finally completed from 1865 to 1894, under the administration of Fray Benito Varas. In the 19th century, still according to the Lipa City Tourism Council, the towns of Lipa, Taal, Batangas, Tanauan, and Bauan competed to be chosen as the seat of the Southern Tagalog Region’s new diocese.',description6: 'The convent was actually founded in 1946, two years before the Apparition, right after the Second World War. It became the home of the Carmelites who transfered to Lipa from Manila. Unlike the many century-old churches in Lipa and neighboring towns, the church looks relatively modern.',description7: 'The devotion to Saint Raphael the Archangel in Calaca, Batangas began in 1836 where the chapel was made from wooden materials and it became a parish on October 24, 1861 when the at the same time, the present stone Church was completed and it the structure and its foundations are still seen up to the present.'},
    {title: 'Sights',title1: 'LAVA WALK & BIRD SANCTUARY', title2: 'MILEA BEE FARM',title3: 'CAPE SANTIAGO LIGHTHOUSE IN CALATAGAN',title4: 'MALABRIGO LIGHTHOUSE',title5: 'Fantasy World',title6: 'MARIAN ORCHARD',title7: 'FORTUNE ISLAND',
     Loc1:'Location: San Nicolas', Loc2: 'Location: Lipa ', Loc3: 'Location: Calatagan', Loc4: 'Location: Lobo', Loc5: 'Location: Tagaytay', Loc6: 'Location: Balete',Loc7: 'Location: Nasugbu',
     img1: '/assets/Lava.PNG',img2: '/assets/Bee.PNG',img3: '/assets/Light.PNG',img4: '/assets/House.PNG',img5: '/assets/Fantasy.PNG',img6: '/assets/Marian.PNG',img7: '/assets/Fortune.PNG',
     description1: 'Tourists can enjoy walking atop the Volcanic Rocks from the eruption of Taal Volcano. The hardened black lava became a bed for the trees already but the lava is still scary to imagine after seeing it face to face. In San Nicolas, Batangas you could also try the Bird Sanctuary around the area to see the beautiful Philippine megapode and Little Egret.',description2: 'If you want to learn and immerse yourself in a bee farm, Milea Bee Farm is one of the best things to do in Batangas. The guides are really knowledgeable about everything about bees and surely you’ll learn a few things from them. You can also try their raw honey fresh from the bees. One of their tours, Beesita sa Bukid costs about 250 PHP per person for 1 hr and 30 mins.',description3: 'Sitting on private property, Cape Santiago Lighthouse in Calatagan is really old yet sturdy.  Out of all the years that this lighthouse has survived, still the views atop the lighthouse is remarkable. From Manila, you could get here by riding a bus from EDSA-Taft bound to Calatagan for 180 PHP per person for 4 hours. After dropping off, take a tricycle to the lighthouse for 200 PHP for 30 mins. If you’re lucky and the site is open, there is no entrance fee but donations might be accepted.',description4: 'Being the best preserved lighthouse in the Philippines, Malabrigo Lighthouse in Barangay Malabrigo, Lobo, Batangas has survived wars and father time amazingly. This lighthouse has a great history that’s why it was preserved up to this day. There’s a great scenic view atop the lighthouse, climbing the top only takes about 100 or more steps.',description5: 'It may sound creepy but this place is actually an abandoned amusement park. And yes, it’s a popular tourist spot in Batangas as well. But why? Simply because Fantasy World is a paradise indeed for those who want to experience a Disney-like adventure. Inside, you’ll find a very beautiful and colorful castle that would make you feel like a royal walking around it through a stunning garden. But why was it abandoned? This supposed-to-be amusement park was built in 2001 in aim to rival Disney land. However, it was not completed due to financial problems. But that doesn’t stop people from going here because of the beautiful surroundings and positive energy it brings. Although no rides or attractions are working, the Fantasy World remains a popular destination for those who love photography. The whole area is very picturesque that photographers would love to wander around here.',description7: 'Despite Fortune Island having a lot of maintenance issues, it still remains as an amazing island to visit. It’s also possible for visitors to climb the limestone cliff that introduces you to the magnificent views of the sea. Activities on Fortune Island include swimming, snorkelling, diving and camping.Get here by paying an entrance fee of 350 PHP and rent a boat from Fortune Island Resort to Fortune Island for a cost of 4000 PHP for a group of 5 people.',description6: 'Marian Orchard has really good instagrammable angles waiting to be explored. Its style is close to that of the European gardens. You can find it at  Brgy. Malabanan, Balete, Batangas. Take a bus bound to Lipa City from Buendia for about 120 PHP per person. The site opens at 7:00 am and closes at 7:00 pm. The Entrance Fee is 50 PHP.'},
    {title: 'Mountains', title1: 'TAAL VOLCANO',title2: 'TAAL LAKE IN TAGAYTAY', title3: 'MT. MACULOT', title4: 'MOUNT PICO DE LORO',title5: 'Mt. Batulao',
    Loc1: 'Location: Taal',Loc2: 'Location: Tagaytay',Loc3: 'Location: Cuenca',Loc4: 'Location: Nasugbu',Loc5: 'Location: Nasugbu',
    img1: '/assets/Taal.PNG',img2: '/assets/Lake.PNG',img3: '/assets/Maculot.PNG',img4: '/assets/pico.PNG',img5: '/assets/Batulao.PNG',
     description1: 'One of our favorite Batangas tourist spots was Taal Volcano.You can reach the view point in an hour, while going down take around 40 minutes. If you want to go to one of the most visited places in Tagaytay and the Philippines, you should take a trip to Taal Volcano. You can get scenic views of Taal Lake with an entrance fee of 100 PHP per person to do the hike. You also have to hire the boat to get to Taal Volcano to start the hike.',description2: 'You will appreciate Taal Lake better through Taal Lake Yacht Club. They offer boats for rent, and they could teach you how to sail on Taal’s beautiful lake. The club offers kayak for a solo ride or a couple, as well as catamarans having four and six passenger capacity. Renting a boat that has a passenger capacity of one to four costs about 1500-2000 PHP while bigger boats cost about 1900 PHP for an hour, and 4200 PHP for the whole day. For couples that enjoy tandem kayaks, they may rent it for 400 PHP per hour and 1200 PHP for the whole day. If you’re feeling a little bit more brave you could also try paddle boards for 300 PHP per hour and 900 PHP for the whole day. Rest assured that these services come along with either/or life vests, instructors and drivers.',description3: 'Mt. Maculot has three available sites- Rockies, Summit, and Grotto. Out of the three, Rockies is the most famous for the hikers. It has an easy trail that hikers could follow. If you’re going on a weekend, there are a lot of locals selling food and drinks to the hikers. If you like hiking for sure will be your favorite Batangas tourist spots in the list. The view of Taal lake from above will reward your efforts more than you expect it to. From Manila, ride a bus going to Lemery from Buendia then drop off at Cuenca. The trip will cost you about 150 PHP.',description4: 'Mount Pico de Loro has really amazing views and it’s one of the best things to do in Batangas. It was rehabilitated to accommodate more hikers. However, you need to schedule your hike because the number of hikers is monitored so as not to damage the trail. The only entry point is through the DENR station in Ternate, hikers will get arrested if they are seen entering to other points. Ride a bus from Manila to Ternate for 100 PHP per person then ride a tricycle from Ternate to DENR.',description5: 'This inactive volcano in Batangas is another popular hiking destination in the country. Mt. Batulao If you’re a beginner, this is the ideal mountain to start with your first mountain climb. Within almost 3 hours, you’ll already be able to enjoy the spectacular views that surround the mountain.The 4/9 level of difficulty in climbing is totally not bad for all the people who want to try hiking. Although you may still encounter some hard trails, it is still manageable. You don’t have to worry about safety or anything as there will a lot of friendly locals and guides that will assist you during your journey.'},
  ];


  constructor(
    private router: Router
  ) {
  }

  goToDetails(places){
    // this.router.navigate(['/Detail'],{
    //   queryParams: {
    //     name: 'sdjfghjsdfgsmdfgsdfjkgsdfjgdjsdfg',
    //     price: '234424',
    //     place: 'sdfgsdfsdfsdf'
    //   }
    // });

    this.router.navigate(['/detail'],{
      queryParams: places
    });
  }
}
